/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.customitems;

import eu.univento.core.api.customitems.actions.InteractBlockAction;
import eu.univento.core.api.customitems.actions.InteractPlayerAction;
import eu.univento.core.api.customitems.actions.PlayerHitAction;
import lombok.Builder;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
@Builder
public class CustomItemActions {

    private PlayerHitAction playerHitAction;
    private InteractBlockAction interactBlockAction;
    private InteractPlayerAction interactPlayerAction;
}