/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.events;

import eu.univento.core.api.player.CustomPlayer;
import org.bukkit.entity.ArmorStand;
import org.bukkit.event.HandlerList;
import org.bukkit.event.player.PlayerInteractEntityEvent;

/**
 * @author joethei
 * @version 1.0
 */
public class HologramClickEvent extends PlayerInteractEntityEvent{


    public static HandlerList handlers = new HandlerList();

    public HologramClickEvent(CustomPlayer player, ArmorStand armorStand) {
        super(player, armorStand);
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }
}