/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.items.attribute;

import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

public enum ItemSlot {

    MAIN_HAND("mainhand"),
    OFF_HAND("offhand"),
    FEET("feet"),
    LEGS("legs"),
    CHEST("chest"),
    HEAD("head");

    @Getter private String name;

    ItemSlot(String name) {
       this.name = name;
    }
}