/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.map;

import org.bukkit.Material;

/**
 * @author joethei
 * @version 0.1
 */
public class Map {

    private final String name;
    private final String builder;
    private final Material item;
    private final String download;

    public Map(String name, String builder, Material item, String download) {
        this.name = name;
        this.builder = builder;
        this.item = item;
        this.download = download;
    }

    public String getName() {
        return name;
    }

    public String getBuilder() {
        return builder;
    }

    public Material getItem() {
        return item;
    }

    public String getDownload() {
        return download;
    }
}