/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.shop;

import eu.univento.commons.server.ServerType;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
enum ShopCategory {

    LOBBY("Lobby", ServerType.LOBBY);

    private String name;
    private ServerType type;

    ShopCategory(String name, ServerType type) {
        this.name = name;
        this.type = type;
    }
}