/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.shop.entity;

import eu.univento.core.api.shop.ShopMenu;
import org.bukkit.Location;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Villager;
import org.bukkit.plugin.Plugin;

/**
 * @author joethei
 * @version 1.0
 */
public class ShopVillager extends ShopEntity {

    public ShopVillager(Plugin plugin, String name, Location location, Villager.Profession profession, ShopMenu menu) {
        super(plugin, EntityType.VILLAGER, name, location, menu);
        Villager villager = (Villager) getEntity();
        villager.setProfession(profession);
        villager.setAdult();
    }

}