/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.antihack.modules;

import eu.univento.commons.player.warn.WarnReason;
import eu.univento.core.api.player.CustomPlayer;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

/**
 * @author joethei
 * @version 0.1
 */
public class AutoSoup implements Listener{

    @EventHandler
    public void onEntityDamageByEntity(EntityDamageByEntityEvent e) {
        if(e.getEntity() instanceof Player && e.getDamager() instanceof Player) {
            CustomPlayer p = (CustomPlayer) e.getDamager();
            if(p.getInventory().getViewers().contains(p)) {
                p.closeInventory();
                p.warn(WarnReason.SPAM, null, "");
            }
        }
    }
}