/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.customitems;

import eu.univento.core.api.items.ItemBuilder;
import eu.univento.core.api.items.attribute.Attribute;
import eu.univento.core.api.items.attribute.ItemSlot;
import lombok.Getter;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

/**
 * @author joethei
 * @version 1.0
 */
@Getter
public enum CustomItems {

    Thiefs_Dagger(CustomItem.builder().itemStack(new ItemBuilder(Material.DIAMOND_SWORD).attribute(Attribute.ATTACK_SPEED, "ThiefsDaggerSpeed", ItemSlot.MAIN_HAND, 0, 0.0D)
            .name(Rarity.Epic.getColor() + "Dolch des Diebes").build()).rarity(Rarity.Epic).actions(CustomItemActions.builder()
                    .playerHitAction((player, hitPlayer, damage, cause) -> player.sendMessage("Du hast " + hitPlayer.getDisplayName() + " geschlagen"))
                    .interactBlockAction((player, action, block, blockFace) -> player.sendMessage("Du hast auf einen " + block.getType().name() + " geklickt"))
                    .interactPlayerAction((player, interactPlayer) -> player.sendMessage("Du hast auf den Spieler " + interactPlayer.getDisplayName() + " geklickt"))
                    .build()).build());

    private CustomItem item;

    CustomItems(CustomItem item) {
        this.item = item;
    }

    public static CustomItem valueOf(ItemStack item) {
        return null;
        /*
        for (CustomItems customItems : values()) {
            if (item.equals(customItems.getItem().getItemStack())) return customItems.getItem();
        }
        return null;
        */
    }
}