/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.customitems;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@AllArgsConstructor
public enum Rarity {

    Normal("§7", "Normal"),
    Rare("§6", "Selten"),
    Epic("§5", "Episch"),
    Legendary("§f", "Legendär"),
    Secret("§8", "Geheim"),
    Unique("§c", "Einzigartig");

    @Getter private String color;
    @Getter private String name;

}