/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.gui.hologram;

import eu.univento.core.api.gui.hologram.components.PlayerGUIPage;
import eu.univento.core.api.gui.hologram.components.PlayerGUIPageModel;
import eu.univento.core.api.gui.hologram.components.PlayerGUITextBoxComponent;
import eu.univento.core.api.player.CustomPlayer;
import lombok.Getter;

/**
 * @author joethei
 * @version 0.1
 */

@Getter
public class HologramData {

    private CustomPlayer player;
    private PlayerGUIPage playerGUIPage;
    private PlayerGUIPageModel model;
    private PlayerGUIPageModel prevModel;
    private PlayerGUIPage playerPreviousGUIContainer;
    private PlayerGUIPage playerFocusedContainer;
    private PlayerGUITextBoxComponent textBoxEditor;
    //private PlayerGUIValueScrollerComponent valueScrollerEditor;
    private boolean isSneaking;

    public HologramData(CustomPlayer player) {
        this.player = player;
    }

}