/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.gui.hologram.components;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author joethei
 * @version 0.1
 */

@Data
@AllArgsConstructor
public class ComponentProperties {

    private String id;
    private String pageId;
    private ComponentPosition position;
    private String label;
    private double labelDistance;
    private boolean showLabel;
    private boolean hidden;
}