/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.gui.sign;

import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;
import org.bukkit.event.player.PlayerEvent;

/**
 * @author joethei
 * @version 0.1
 */
class PlayerSignInputEvent extends PlayerEvent{

    private static final HandlerList handlerList = new HandlerList();
    private final String[] lines;

    public PlayerSignInputEvent(Player p, String[] lines) {
        super(p);
        this.lines = lines;
    }

    @Override
    public HandlerList getHandlers() {
        return handlerList;
    }

    public String[] getLines() {
        return lines;
    }
}