/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.hologram;

import lombok.Getter;

import java.util.HashMap;

/**
 * @author joethei
 * @version 1.0
 */
public class HologramManager {

    @Getter private static HashMap<String, Hologram> holograms = new HashMap<>();

    public static Hologram getHologram(String name) {
        return holograms.get(name);
    }

    static void addHologram(String name, Hologram hologram) {
        holograms.put(name, hologram);
    }

    static void removeHologram(String name) {
        holograms.remove(name);
    }
}