/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.player;

public class BetterPvP {

    public static String getCodeString() {
        StringBuilder toReturn = new StringBuilder("§c §r§5 §r§1 §r§f");
        String code = String.valueOf(getCodeToSend());
        int size = code.length();
        for (int i = 0; i < size; i++)
            toReturn.append(" " + "§r§").append(code.substring(i, i + 1));
        toReturn.append(" ");

        return toReturn.toString();
    }

    private static int getCodeToSend() {
        int code = 0;
        code |= 0;
        int armourStatusMask = 2;
        code |= armourStatusMask;
        int potionStatusMask = 4;
        code |= potionStatusMask;
        int archeryStatusMask = 8;
        code |= archeryStatusMask;
        int notificationsMask = 16;
        code |= notificationsMask;
        int xpDropsMask = 32;
        code |= xpDropsMask;
        int betterSprintMask = 64;
        code |= betterSprintMask;
        int toggleSneakMask = 128;
        code |= toggleSneakMask;
        int quickItemUseMask = 256;
        code |= quickItemUseMask;
        int armourStatusShowEnchantsMask = 512;
        code |= armourStatusShowEnchantsMask;
        code |= 0;
        code |= 0;
        code |= 0;
        code |= 0;
        code |= 0;
        code |= 0;
        code |= 0;
        int notificationHungerMask = 131072;
        code |= notificationHungerMask;
        code |= 0;
        code |= 0;
        code |= 0;
        int deathpointsMask = 2097152;
        code |= deathpointsMask;
        int notificationAirMask = 4194304;
        code |= notificationAirMask;
        int entityInfoMask = 8388608;
        code |= entityInfoMask;
        return code;
    }
}