/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.player;

public enum LabyMod {
    FOOD("FOOD", 0),
    GUI("InventoryGUI", 1),
    NICK("NICK", 2),
    BLOCKBUILD("BLOCKBUILD", 3),
    CHAT("CHAT", 4),
    EXTRAS("EXTRAS", 5),
    ANIMATIONS("ANIMATIONS", 6),
    POTIONS("POTIONS", 7),
    ARMOR("ARMOR", 8),
    DAMAGEINDICATOR("DAMAGEINDICATOR", 9),
    MINIMAP_RADAR("MINIMAP_RADAR", 10);

    private String name;
    private int value;

    LabyMod(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }
}