/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.player;

import com.mojang.authlib.GameProfile;
import lombok.Data;

import java.util.UUID;

/**
 * @author joethei
 * @version 0.1
 */

@Data
public class NickedPlayer {

    private CustomPlayer player;
    private String name;
    private UUID uuid;

    private GameProfile gameProfile;

    public NickedPlayer(CustomPlayer player, String name) {
        this.player = player;
        this.name = name;
        this.uuid = player.getUniqueId();
    }

}