/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.core.api.shop;

import eu.univento.commons.player.currency.CurrencyType;
import lombok.Getter;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
public enum ShopItem {

    TestItem("Test Item", ShopCategory.LOBBY, new ItemStack(Material.STONE), 20, CurrencyType.Vents);

    private String name;
    private ShopCategory category;
    private ItemStack item;
    private int price;
    private CurrencyType currencyType;

    ShopItem(String name, ShopCategory category, ItemStack item, int price, CurrencyType currencyType) {
        this.name = name;
        this.category = category;
        this.item = item;
        this.price = price;
        this.currencyType = currencyType;
    }

}